Package de.willuhn.jameica.hbci.experiments

# Class FeatureService

java.lang.Object
de.willuhn.jameica.hbci.experiments.FeatureService

@Lifecycle(CONTEXT) public class FeatureService extends Object
Implementierung des Services fuer den Zugriff auf die Features.

## Constructor Summary

Constructors
Constructor
Description
`FeatureService()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`enabled()`
Liefert true, wenn die experimentellen Features verfuegbar sind.
`List<Feature>`
`getFeatures()`
Liefert die Liste der experimentellen Features.
`boolean`
`isEnabled(Feature f)`
Liefert den aktuellen Zustand des Features.
`void`
`setEnabled(boolean b)`
Legt fest, ob die experimentellen Features verfuegbar sein sollen.
`void`
`setEnabled(Feature f, boolean enabled)`
Aktiviert/Deaktiviert ein Feature.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FeatureService

public FeatureService()

## Method Details

### getFeatures

public List<Feature> getFeatures()
Liefert die Liste der experimentellen Features.

Returns:
  Liste der experimentellen Features.

### isEnabled

public boolean isEnabled(Feature f)
Liefert den aktuellen Zustand des Features.

Parameters:
  `f` - das Feature.
Returns:
  der aktuelle Zustand des Features.

### setEnabled

public void setEnabled(Feature f, boolean enabled)
Aktiviert/Deaktiviert ein Feature.

Parameters:
  `f` - das Feature.
  `enabled` - true, wenn es aktiviert sein soll.

### enabled

public boolean enabled()
Liefert true, wenn die experimentellen Features verfuegbar sind.

Returns:
  true, wenn die experimentellen Features verfuegbar sind.

### setEnabled

public void setEnabled(boolean b)
Legt fest, ob die experimentellen Features verfuegbar sein sollen.

Parameters:
  `b` - true, wenn die experimentellen Features verfuegbar sein sollen.